Bug 735834

Summary: kvm not initialized for all guests- system falling back to qemu
Product: [Fedora] Fedora Reporter: melchiaros
Component: qemuAssignee: Fedora Virtualization Maintainers <virt-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 15CC: amit.shah, berrange, clalance, crobinso, dougsland, dwmw2, ehabkost, extras-orphan, itamar, jaswinder, jforbes, knoel, markmc, notting, quintela, scottt.tw, tburke, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-28 19:29:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
message and libvirt logs
none
dmesg output none

Description melchiaros 2011-09-05 12:27:02 EDT
Created attachment 521519 [details]
message and libvirt logs

Description of problem:

I´ve just installed fedora as my hostsystem. Until now I reside on openSUSE.
I´ve tried to get up kvm-qemu on fedora, but the probolem is that fedora seems to fallback for all guest to quemu, which makes the guests I´ve installed incredible slow.

I attach the libvirt logs and the kernel log.

As I pointet out, I´am new to fedora, so when there is something I can provide give me a hint.


Version-Release number of selected component (if applicable):

[user@localhost ~]$ rpm -qa | grep kvm
qemu-kvm-0.14.0-7.fc15.x86_64
[user@localhost ~]$ rpm -qa | grep qemu
gpxe-roms-qemu-1.0.1-4.fc15.noarch
qemu-system-x86-0.14.0-7.fc15.x86_64
qemu-kvm-0.14.0-7.fc15.x86_64
qemu-common-0.14.0-7.fc15.x86_64
qemu-img-0.14.0-7.fc15.x86_64
[user@localhost ~]$ rpm -qa | grep virt-manager
virt-manager-0.8.7-4.fc15.noarch
[user@localhost ~]$ rpm -qa | grep libvirt
libvirt-0.8.8-7.fc15.x86_64
libvirt-python-0.8.8-7.fc15.x86_64
libvirt-client-0.8.8-7.fc15.x86_64
[user@localhost ~]$ rpm -qa | grep kernel
abrt-addon-kerneloops-2.0.3-1.fc15.x86_64
kernel-2.6.38.6-26.rc1.fc15.x86_64
kernel-headers-2.6.40.3-0.fc15.x86_64
kernel-2.6.40.3-0.fc15.x86_64
[user@localhost ~]$ 


How reproducible:
Install fedora15 on a AMD phenom2(6 core), T1100 16GB ram, 2TB harddisk.
Bring the system to fedora15 updates.
Install several guest: Dwebian6, Scientific linux6, windows Xp Sp2, Microsoft Server 2008 R2.

-> not in parallel to prevent harddrive from getting ill.

Steps to Reproduce:
1.See above
2.
3.
  
Actual results:


Expected results:
I expect the known speed of KVM as I get it on other host before.

Additional info:

1..The kernel log shows some issues with libvirt -> you should have a look.

2.May be that I missed to install a KVM package or something. I´ve just installed to virtualisation metapackage. In the moment I cannat check(yum is buisy for a longer while). -> Please point me on when it is like this.
Comment 1 melchiaros 2011-09-05 12:34:46 EDT
No, seems not that I´ve forgot kvm packages to install.

There is also a other issue with Microsoft Server 2008 R2.
-> I open a new ticket for that.
Comment 2 melchiaros 2011-09-05 13:10:20 EDT
To prevent the question: Hardware virtualisation is enabled on my sytem.
-> It works also properly of my gone openSUSE installation.
Comment 3 melchiaros 2011-09-05 13:55:16 EDT
I´ve found this:

http://www.linux-kvm.org/page/FAQ#How_can_I_check_that_I.27m_not_falling_back_to_QEMU_with_no_hardware_acceleration.3F

I attach teh dmesg output.

But it shows nothing.
Comment 4 melchiaros 2011-09-05 13:57:05 EDT
Created attachment 521528 [details]
dmesg output
Comment 5 melchiaros 2011-09-05 13:58:20 EDT
"/dev/kvm exists and you have the correct rights to use it"

It exists and I´ve started virt-manager with sudo-> so the rights should be there.
Comment 6 melchiaros 2011-09-05 14:00:04 EDT
[user@localhost ~]$ lsmod|grep kvm
kvm_amd                45848  7 
kvm                   317808  1 kvm_amd


In the moment there are only running 2 guests on my system, not 7 !
Comment 7 melchiaros 2011-09-05 14:05:16 EDT
I´ve also made the switch to fedora, bacause I´ve thought that here I am nearer to the source of kerne-virtualisation:-> Could you bring KVM in a good state? There is also version0.15 released. The new one seems to be not in your repros.(-> also testing-updates).
Comment 8 Justin M. Forbes 2011-09-13 11:50:48 EDT
qemu-0.15.0 is in the Fedora 16 tree, and is available for Fedora 15 users by using the virtualization preview repository:

https://fedoraproject.org/wiki/Virtualization_Preview_Repository

If you restart libvirt, does that fix things?
Comment 9 Fedora Admin XMLRPC Client 2012-03-15 13:53:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Cole Robinson 2012-05-28 19:29:05 EDT
Closing as INSUFFICIENT_DATA, since comment #8 was never answered.